## Nextcloud Update

### Anmerkungen  
* Alle Nutzer sollten abgemeldet sein
* Drittanbieter-Apps müssen nach dem Update wieder aktiviert werden. Die Daten bleiben erhalten

**Als Root anmelden** 
 
```xml
sudo -s
```

**Ins Nextloud-Verzeichnis wechseln**  

```xml
cd /var/www/nextcloud
```

**Wartungsmodus aktivieren**  

```xml
sudo -u www-data php occ maintenance:mode --on
```

**Eine Ebene nach oben wechseln**  

```xml
cd..
```

**Update laden**  

```xml
wget https://download.nextcloud.com/server/releases/nextcloud-xxx.tar.bz2
```

**Webserver (NGINX) stoppen**  

```xml
/etc/init.d/nginx stop
```

**Altes Verzeichnis umbenennen**  

```xml
mv nextcloud nextcloud-alt
```

**.tar entpacken**  

```xml
tar xvjf nextcloud-xxx.tar.bz2
```

**Config-Datei kopieren**  

```xml
cp nextcloud-alt/config/config.php nextcloud/config/config.php
```

**Daten-Verzeichnis kopieren**  
*Nicht nötig, wenn das Daten-Verzeichnis auf einem externen Medium liegt*  

```xml
cd nextcloud-alt  
cp -R data /var/www/nextcloud  
```

**Eigentümer des Ordners ändern**

```xml  
chown -R www-data:www-data /var/www/nextcloud
```

**Webserver (NGINX) wieder starten**  

```xml
/etc/init.d/nginx start
```

**Wartungsmodus deaktivieren**  

```xml
cd /var/www/nextcloud  
sudo -u www-data php occ maintenance:mode --off
```

IP-Adresse des Pi im Browser aufrufen und "Aktualisierung starten" klicken  

**Schlüssel für serverseitige Verschlüsselung übertragen**  
*Nur nötig, wenn die OwnCloud verschlüsselt wurde*

```xml  
sudo -u www-data php occ encryption:migrate-keys
```

**Update-Verzeichnis und alte Nextcloud-Instanz löschen**  

```xml
cd ..
rm -rf nextcloud-xxx.tar.bz2 nextcloud-alt
```